package com.ruoyi.project.training.bccnew.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.bccnew.mapper.TTsYsplanMapper;
import com.ruoyi.project.training.bccnew.domain.TTsYsplan;
import com.ruoyi.project.training.bccnew.service.ITTsYsplanService;

/**
 * 转岗培训Service业务层处理
 *
 * @author ssy
 * @date 2024-06-13
 */
@Service
public class TTsYsplanServiceImpl implements ITTsYsplanService
{
    @Autowired
    private TTsYsplanMapper tTsYsplanMapper;

    /**
     * 查询转岗培训
     *
     * @param id 转岗培训ID
     * @return 转岗培训
     */
    @Override
    public TTsYsplan selectTTsYsplanById(Long id)
    {
        return tTsYsplanMapper.selectTTsYsplanById(id);
    }

    /**
     * 查询转岗培训列表
     *
     * @param tTsYsplan 转岗培训
     * @return 转岗培训
     */
    @Override
    public List<TTsYsplan> selectTTsYsplanList(TTsYsplan tTsYsplan)
    {
        return tTsYsplanMapper.selectTTsYsplanList(tTsYsplan);
    }

    @Override
    public List<TTsYsplan> selectTTsYsplanListByNewId(TTsYsplan tTsYsplan)
    {
        return tTsYsplanMapper.selectTTsYsplanListByNewId(tTsYsplan);
    }

    /**
     * 新增转岗培训
     *
     * @param tTsYsplan 转岗培训
     * @return 结果
     */
    @Override
    public int insertTTsYsplan(TTsYsplan tTsYsplan)
    {
        return tTsYsplanMapper.insertTTsYsplan(tTsYsplan);
    }

    /**
     * 修改转岗培训
     *
     * @param tTsYsplan 转岗培训
     * @return 结果
     */
    @Override
    public int updateTTsYsplan(TTsYsplan tTsYsplan)
    {
        return tTsYsplanMapper.updateTTsYsplan(tTsYsplan);
    }

    /**
     * 批量删除转岗培训
     *
     * @param ids 需要删除的转岗培训ID
     * @return 结果
     */
    @Override
    public int deleteTTsYsplanByIds(Long[] ids)
    {
        return tTsYsplanMapper.deleteTTsYsplanByIds(ids);
    }

    /**
     * 删除转岗培训信息
     *
     * @param id 转岗培训ID
     * @return 结果
     */
    @Override
    public int deleteTTsYsplanById(Long id)
    {
        return tTsYsplanMapper.deleteTTsYsplanById(id);
    }
}
